%{?mingw_package_header}

Name:           mingw-gtk2
Version:        2.24.33
Release:    1%{?dist}
Summary:        MinGW Windows Gtk2 library

License:        LGPLv2+
URL:            http://www.gtk.org
Source0:        http://download.gnome.org/sources/gtk+/2.24/gtk+-%{version}.tar.xz
BuildArch:      noarch

Source1:        gtk.immodules

Patch1:         system-python.patch
Patch2:         icon-padding.patch
Patch3:         tooltip-positioning.patch
Patch4:         window-dragging.patch
Patch5:         mingw32-gtk2-2.15.0-xbuttons.patch
Patch6:         mingw32-gtk2-enable_static_build.patch


BuildRequires: make
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-atk
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-gdk-pixbuf
BuildRequires:  mingw32-pixman
BuildRequires:  mingw32-zlib

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-atk
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-pango
BuildRequires:  mingw64-gdk-pixbuf
BuildRequires:  mingw64-pixman
BuildRequires:  mingw64-zlib

BuildRequires:  pkgconfig

BuildRequires:  gettext
BuildRequires:  glib2-devel
BuildRequires:  gtk-update-icon-cache
BuildRequires:  gtk2-devel
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel

BuildRequires:  autoconf automake libtool


%description
MinGW Windows Gtk2 library.


%package -n mingw32-gtk2
Summary:        MinGW Windows Gtk2 library
Requires:       mingw32-gtk-update-icon-cache

%description -n mingw32-gtk2
MinGW Windows Gtk2 library.

%package -n mingw32-gtk2-static
Summary:        Static version of the MinGW Windows Gtk2 library
Requires:       mingw32-gtk2 = %{version}-%{release}

%description -n mingw32-gtk2-static
Static version of the MinGW Windows Gtk2 library.

%package -n mingw64-gtk2
Summary:        MinGW Windows Gtk2 library
Requires:       mingw64-gtk-update-icon-cache

%description -n mingw64-gtk2
MinGW Windows Gtk2 library.

%package -n mingw64-gtk2-static
Summary:        Static version of the MinGW Windows Gtk2 library
Requires:       mingw64-gtk2 = %{version}-%{release}

%description -n mingw64-gtk2-static
Static version of the MinGW Windows Gtk2 library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n gtk+-%{version}


%build
%mingw_configure --disable-cups --enable-static

rm -f gtk/gtk.def

%mingw_make_build


%install
%mingw_make_install

rm -f %{buildroot}/%{mingw32_libdir}/charset.alias
rm -f %{buildroot}/%{mingw64_libdir}/charset.alias

rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

rm -rf %{buildroot}%{mingw32_datadir}/gtk-doc
rm -rf %{buildroot}%{mingw64_datadir}/gtk-doc

rm -f %{buildroot}%{mingw32_libdir}/*.def
rm -f %{buildroot}%{mingw64_libdir}/*.def

mkdir -p %{buildroot}%{mingw32_sysconfdir}/gtk-2.0/
mkdir -p %{buildroot}%{mingw64_sysconfdir}/gtk-2.0/
install -m 0644 %{SOURCE1} %{buildroot}%{mingw32_sysconfdir}/gtk-2.0/
install -m 0644 %{SOURCE1} %{buildroot}%{mingw64_sysconfdir}/gtk-2.0/

find %{buildroot} -name "*.la" -delete

rm -f %{buildroot}%{mingw32_libdir}/gtk-2.0/2.10.0/*/*.dll.a
rm -f %{buildroot}%{mingw64_libdir}/gtk-2.0/2.10.0/*/*.dll.a
rm -f %{buildroot}%{mingw32_libdir}/gtk-2.0/modules/*.dll.a
rm -f %{buildroot}%{mingw64_libdir}/gtk-2.0/modules/*.dll.a

rm -f %{buildroot}%{mingw32_bindir}/gtk-update-icon-cache.exe
rm -f %{buildroot}%{mingw64_bindir}/gtk-update-icon-cache.exe

%mingw_find_lang gtk2 --all-name


%files -n mingw32-gtk2 -f mingw32-gtk2.lang
%license COPYING
%{mingw32_datadir}/themes/*
%{mingw32_bindir}/gtk-builder-convert
%{mingw32_bindir}/gtk-demo.exe
%{mingw32_bindir}/gtk-query-immodules-2.0.exe
%{mingw32_bindir}/libgailutil-18.dll
%{mingw32_bindir}/libgdk-win32-2.0-0.dll
%{mingw32_bindir}/libgtk-win32-2.0-0.dll
%dir %{mingw32_libdir}/gtk-2.0
%dir %{mingw32_libdir}/gtk-2.0/2.10.0
%dir %{mingw32_libdir}/gtk-2.0/2.10.0/engines
%{mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll
%dir %{mingw32_libdir}/gtk-2.0/2.10.0/immodules
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.dll
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.dll
%{mingw32_libdir}/gtk-2.0/include/
%dir %{mingw32_libdir}/gtk-2.0/modules
%{mingw32_libdir}/gtk-2.0/modules/libgail.dll
%{mingw32_libdir}/libgailutil.dll.a
%{mingw32_libdir}/libgdk-win32-2.0.dll.a
%{mingw32_libdir}/libgtk-win32-2.0.dll.a
%{mingw32_libdir}/pkgconfig/gail.pc
%{mingw32_libdir}/pkgconfig/gdk-2.0.pc
%{mingw32_libdir}/pkgconfig/gdk-win32-2.0.pc
%{mingw32_libdir}/pkgconfig/gtk+-2.0.pc
%{mingw32_libdir}/pkgconfig/gtk+-win32-2.0.pc
%{mingw32_includedir}/gtk-2.0/
%{mingw32_includedir}/gail-1.0/
%{mingw32_sysconfdir}/gtk-2.0/
%{mingw32_datadir}/aclocal/gtk-2.0.m4
%{mingw32_datadir}/gtk-2.0/

%files -n mingw32-gtk2-static
%{mingw32_libdir}/libgailutil.a
%{mingw32_libdir}/libgdk-win32-2.0.a
%{mingw32_libdir}/libgtk-win32-2.0.a
%{mingw32_libdir}/gtk-2.0/2.10.0/engines/libpixmap.a
%{mingw32_libdir}/gtk-2.0/2.10.0/engines/libwimp.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ime.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-thai.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.a
%{mingw32_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.a
%{mingw32_libdir}/gtk-2.0/modules/libgail.a

%files -n mingw64-gtk2 -f mingw64-gtk2.lang
%license COPYING
%{mingw64_datadir}/themes/*
%{mingw64_bindir}/gtk-builder-convert
%{mingw64_bindir}/gtk-demo.exe
%{mingw64_bindir}/gtk-query-immodules-2.0.exe
%{mingw64_bindir}/libgailutil-18.dll
%{mingw64_bindir}/libgdk-win32-2.0-0.dll
%{mingw64_bindir}/libgtk-win32-2.0-0.dll
%dir %{mingw64_libdir}/gtk-2.0
%dir %{mingw64_libdir}/gtk-2.0/2.10.0
%dir %{mingw64_libdir}/gtk-2.0/2.10.0/engines
%{mingw64_libdir}/gtk-2.0/2.10.0/engines/libpixmap.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/engines/libwimp.dll
%dir %{mingw64_libdir}/gtk-2.0/2.10.0/immodules
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ime.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-thai.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.dll
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.dll
%{mingw64_libdir}/gtk-2.0/include/
%dir %{mingw64_libdir}/gtk-2.0/modules
%{mingw64_libdir}/gtk-2.0/modules/libgail.dll
%{mingw64_libdir}/libgailutil.dll.a
%{mingw64_libdir}/libgdk-win32-2.0.dll.a
%{mingw64_libdir}/libgtk-win32-2.0.dll.a
%{mingw64_libdir}/pkgconfig/gail.pc
%{mingw64_libdir}/pkgconfig/gdk-2.0.pc
%{mingw64_libdir}/pkgconfig/gdk-win32-2.0.pc
%{mingw64_libdir}/pkgconfig/gtk+-2.0.pc
%{mingw64_libdir}/pkgconfig/gtk+-win32-2.0.pc
%{mingw64_includedir}/gtk-2.0/
%{mingw64_includedir}/gail-1.0/
%{mingw64_sysconfdir}/gtk-2.0/
%{mingw64_datadir}/aclocal/gtk-2.0.m4
%{mingw64_datadir}/gtk-2.0/

%files -n mingw64-gtk2-static
%{mingw64_libdir}/libgailutil.a
%{mingw64_libdir}/libgdk-win32-2.0.a
%{mingw64_libdir}/libgtk-win32-2.0.a
%{mingw64_libdir}/gtk-2.0/2.10.0/engines/libpixmap.a
%{mingw64_libdir}/gtk-2.0/2.10.0/engines/libwimp.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ime.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-thai.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.a
%{mingw64_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.a
%{mingw64_libdir}/gtk-2.0/modules/libgail.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.24.33-1
- initial build
